<!DOCTYPE html>
<html>
<head>
   <title>Patern 4</title>
</head>
<body>
   
   <script>
      var star;
      var space;
      for (let i = 5; i > 0; i--) {
         star = '';
         space = '';
         for (let j = 0; j < i; j++) {
            star = star + '*';
         }       
         for (let k = 5; k > i; k--) {
            space = space + '&nbsp;&nbsp;';
         }   
         // console.log(space+star);
         document.writeln(space+star);         
         document.writeln('<br>');
      }
   </script>
</body>
</html>